Generation Framework

## org.eclipse.gmf.gmfgraph
Enum Alignment

    java.lang.Object
      java.lang.Enum<Alignment>
          org.eclipse.gmf.gmfgraph.Alignment

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Alignment>, org.eclipse.emf.common.util.Enumerator

    public enum Alignment

extends java.lang.Enum<Alignment>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Alignment', and utility methods for working with them.

See Also:
  `GMFGraphPackage.getAlignment()`
** Generated **
Model:

Enum Constant Summary
`BEGINNING_LITERAL` The 'BEGINNING' literal object
`CENTER_LITERAL` The 'CENTER' literal object
`END_LITERAL` The 'END' literal object
`FILL_LITERAL` The 'FILL' literal object

Field Summary
`static int` `BEGINNING` The 'BEGINNING' literal value
`static int` `CENTER` The 'CENTER' literal value
`static int` `END` The 'END' literal value
`static int` `FILL` The 'FILL' literal value
`static java.util.List<Alignment>` `VALUES` A public read-only list of all the 'Alignment' enumerators

Method Summary
`static Alignment` `get(int value)` Returns the 'Alignment' literal with the specified integer value
`static Alignment` `get(java.lang.String literal)` Returns the 'Alignment' literal with the specified literal value
`static Alignment` `getByName(java.lang.String name)` Returns the 'Alignment' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static Alignment` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Alignment[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BEGINNING_LITERAL

    public static final Alignment BEGINNING_LITERAL

  The 'BEGINNING' literal object.

  See Also:
    `BEGINNING`
  ** Generated **
  Ordered:

### CENTER_LITERAL

    public static final Alignment CENTER_LITERAL

  The 'CENTER' literal object.

  See Also:
    `CENTER`
  ** Generated **
  Ordered:

### END_LITERAL

    public static final Alignment END_LITERAL

  The 'END' literal object.

  See Also:
    `END`
  ** Generated **
  Ordered:

### FILL_LITERAL

    public static final Alignment FILL_LITERAL

  The 'FILL' literal object.

  See Also:
    `FILL`
  ** Generated **
  Ordered:

Field Detail

### BEGINNING

    public static final int BEGINNING

  The 'BEGINNING' literal value.

  If the meaning of 'BEGINNING' literal object isn't clear, there really should be more of a description here...

  See Also:
    `BEGINNING_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### CENTER

    public static final int CENTER

  The 'CENTER' literal value.

  If the meaning of 'CENTER' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CENTER_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### END

    public static final int END

  The 'END' literal value.

  If the meaning of 'END' literal object isn't clear, there really should be more of a description here...

  See Also:
    `END_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### FILL

    public static final int FILL

  The 'FILL' literal value.

  If the meaning of 'FILL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `FILL_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### VALUES

    public static final java.util.List<Alignment> VALUES

  A public read-only list of all the 'Alignment' enumerators.

  ** Generated **

Method Detail

### values

    public static Alignment[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Alignment c : Alignment.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Alignment valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### get

    public static Alignment get(java.lang.String literal)

  Returns the 'Alignment' literal with the specified literal value.

  ** Generated **

### getByName

    public static Alignment getByName(java.lang.String name)

  Returns the 'Alignment' literal with the specified name.

  ** Generated **

### get

    public static Alignment get(int value)

  Returns the 'Alignment' literal with the specified integer value.

  ** Generated **

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<Alignment>`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.